#!/bin/bash
#       DESCRIPTION:		better deal with arguments for mkraid.sh (arguments---> stdin)
#
#       SCRIPT NAME:    mkraid_wrapper.sh
#
#       MENTOR:         Li Zhi
#
#       AUTHOR:         Ling Fen
#
#       EMAIL:          fling@linx-info.com
#
#       DATE:           2010-09-20
#
#       HISTORY:
#       REVISOR         DATE                    MODIFICATION
#       Ling Fen        2010-09-18              create
#

# This file is a wrapper to mkraid.sh.
while read line
do
	$(dirname $0)/mkraid.sh "$line" 
	ret=$?
	if [  $ret -ne 0 ];then
		exit $ret
	else
		echo "@ make raid is success"
	fi
done
